RTFM 2.4.2 upgrade problem

Hi, I’m running SLES10 SP2 and upgrading from RT 3.4.6 / RTFM 2.1.0 (I think) to the latest versions.

Successes:

  1. I installed RT 3.8.4 on a new server, backed up my old database and copied it over. Upgraded the database and got my 3.8.4 install working just fine.
  2. Installed RT::Authen::ExternalAuth and got that connecting to my LDAP server.

Failure with RTFM:

  1. After the successes above, I installed RTFM according to the README and UPGRADING.mysql docs, but I think I made a mistake. There is no left-hand nav entry for RTFM the way there used to be. RT still works fine, as far as I can tell.
  • unpacked the tarball, cd’d to the RTFM directory, ran “perl Makefile.PL”, make, then make install.
  • the UPGRADING.mysql doc says “3) Apply changes described in the seven step, but only up to version 3.8.0.” - ok, this isn’t really correct because there’s no such step 7 in RTFM README. So I skipped it, thinking I might have already accomplished this when I upgraded the database to RT 3.8.4?? The instruction looks a lot like the RT3.8.4/README file?
  • ran step 4,5,6 in UPGRADING.mysql to upgrade the schema in the database.
  • went back to RTFM-2.4.2/README and did steps 6-8. I don’t see any RTFM link in the interface, as noted.

How can I tell what version of RTFM was running on my old server? Any ideas about how to proceed?

Thanks, Mike

The information in this message may be proprietary and/or confidential, and protected from disclosure. If the reader of this message is not the intended recipient, or an employee or agent responsible for delivering this message to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this communication in error, please notify Stonebridge Bank immediately by replying to this message and deleting it from your computer.

Hi, I’m running SLES10 SP2 and upgrading from RT 3.4.6 / RTFM 2.1.0 (I think) to the latest versions.

Successes:

  1. I installed RT 3.8.4 on a new server, backed up my old database and copied it over. Upgraded the database and got my 3.8.4 install working just fine.
  2. Installed RT::Authen::ExternalAuth and got that connecting to my LDAP server.

Failure with RTFM:

  1. After the successes above, I installed RTFM according to the README and UPGRADING.mysql docs, but I think I made a mistake. There is no left-hand nav entry for RTFM the way there used to be. RT still works fine, as far as I can tell.
  • unpacked the tarball, cd’d to the RTFM directory, ran “perl Makefile.PL”, make, then make install.
  • the UPGRADING.mysql doc says “3) Apply changes described in the seven step, but only up to version 3.8.0.” - ok, this isn’t really correct because there’s no such step 7 in RTFM README. So I skipped it, thinking I might have already accomplished this when I upgraded the database to RT 3.8.4?? The instruction looks a lot like the RT3.8.4/README file?
  • ran step 4,5,6 in UPGRADING.mysql to upgrade the schema in the database.
  • went back to RTFM-2.4.2/README and did steps 6-8. I don’t see any RTFM link in the interface, as noted.

Most often this means your config is wrong
Go to Configuration -> Tools -> System Configuration
and look for @Plugins

How can I tell what version of RTFM was running on my old server? Any ideas about how to proceed?

/opt/rt3/local/lib/RT/FM.pm will have a version
as will Configuration -> Tools -> System Configuration

-kevin